Skip to main content
GET
/
affiliates
/
offers
/
{offerId}
/
productfeeds
Get Offer Product Feeds
curl --request GET \
  --url https://api.eflow.team/v1/affiliates/offers/{offerId}/productfeeds \
  --header 'X-Eflow-Api-Key: <api-key>'
{
  "product_feeds": [
    {
      "network_advertiser_product_feed_id": 123,
      "network_id": 123,
      "network_advertiser_id": 123,
      "name": "<string>",
      "status": "<string>",
      "file_asset_id": 123,
      "date_valid_from": 123,
      "date_valid_to": 123,
      "date_valid_timezone_id": 123,
      "time_created": 1734455015,
      "time_saved": 1734455015,
      "relationship": {
        "document_file_asset": {
          "network_asset_id": 123,
          "content_type": "<string>",
          "filename": "<string>",
          "url": "<string>",
          "file_size": 123,
          "image_width": 123,
          "image_height": 123,
          "optimized_thumbnail_url": "<string>"
        }
      }
    }
  ]
}
Returns product feed URLs and configurations for a specific offer. Product feeds provide structured product data that affiliates can use for dynamic ad creation or product listing pages.

Authorizations

X-Eflow-Api-Key
string
header
required

The affiliate's API key generated from the Affiliate Portal. Uses the X-Eflow-Api-Key header.

Path Parameters

offerId
integer
required

The numeric ID of the offer.

Response

product_feeds
object[]

Array of product feeds for the offer.